Nomenclature Processing Machine

    contracter-js

    1.0.12 • Public • Published

    Contracter.io API

    Use Contracter.io as an ES module.

    build status npm version

    Installation

    Use npm to install the Contracter.js module:

    npm install contracter-js

    Usage

    ContractsJS

    You can access all available function by importing and initializing ContractsJS class with your Api Key from your account

    import ContractsJS from 'contracter-js';
    
    const apiKey = "XXXXXXXXXXXXXXXXXXXX";
    const contracts = new ContractsJS(apiKey);

    Get contracts example

    import ContractsJS from 'contracter-js';
    
    const apiKey = "XXXXXXXXXXXXXXXXXXXX";
    const contracts = new ContractsJS(apiKey);
    
    const getContracts = async(e) => {
        let [status, resp] = await contracts.getAll();
        // status = Int: 200
        // resp = Object: [{...}]
    }
    
    useEffect((e)=>{
        getContracts()
    },[])

    Full documentation can be found on Contracter.io

    Minimum requirements

    The minimum supported version of React is v16.8. If you use an older version, upgrade React to use this library. If you prefer not to upgrade your React version, we recommend using legacy.

    Contributing

    If you would like to contribute to React Stripe.js, please make sure to read our contributor guidelines.

    Install

    npm i contracter-js

    DownloadsWeekly Downloads

    45

    Version

    1.0.12

    License

    MIT

    Unpacked Size

    10.1 kB

    Total Files

    9

    Last publish

    Collaborators

    • networkleads